<?php
/**
 * The template for displaying home page.
 * @package Prime Spa Center
 */

if ( 'posts' != get_option( 'show_on_front' ) ) { 
    get_header(); ?>
    <?php $prime_spa_center_enabled_sections = prime_spa_center_get_sections();
    if( is_array( $prime_spa_center_enabled_sections ) ) { ?>
        <div id="content" class="site-content">
            <?php foreach( $prime_spa_center_enabled_sections as $section ) {

                if( $section['id'] == 'featured-slider' ) { ?>
                    <?php $prime_spa_center_enable_featured_slider_section = prime_spa_center_get_option( 'enable_featured_slider_section' );
                    if(true ==$prime_spa_center_enable_featured_slider_section): ?>
                        <section id="<?php echo esc_attr( $section['id'] ); ?>">  
                            <?php get_template_part( 'sections/section', esc_attr( $section['id'] ) ); ?>
                        </section>
                    <?php endif; ?>

                <?php } 
                
            } ?> 
            <?php
            foreach( $prime_spa_center_enabled_sections as $section ) {

                if( $section['id'] == 'featured-about' ) { ?>
                    <?php $prime_spa_center_enable_featured_services_section = prime_spa_center_get_option( 'enable_featured_services_section' );
                    if(true ==$prime_spa_center_enable_featured_services_section): ?>
                        <section id="<?php echo esc_attr( $section['id'] ); ?>" class="section-gap">  
                            <div class="wrapper">
                                <?php get_template_part( 'sections/section', esc_attr( $section['id'] ) ); ?>
                            </div>
                        </section>
                    <?php endif; ?>
            
                <?php }
                
            } ?>
        </div> 
    <?php }
    get_footer();
} elseif ('posts' == get_option( 'show_on_front' ) ) {
    include( get_home_template() );
} 
